// SafeRelease.h
#pragma once

template<typename DX_obj_ptr>
int SafeRelease(DX_obj_ptr*& obj)
{
	if (obj)
	{
		obj->Release();
		obj = 0;
		return 0; // Object was released
	}
	return 1; // Nothing was released
}