// Window.h
#pragma once

class CWindow
{
public:
	CWindow(HINSTANCE hinstance, char* title, int size_x, int size_y, DWORD flags, WNDPROC window_proc_ptr);
	~CWindow(void);

	operator HWND(void) const;

	bool is_popup(void);
	bool is_windowed(void);
	int getWidth(void){return width;}
	int getHeight(void){return height;}

protected:
	int width, height;
	HWND hwnd;
	MSG msg;
	WNDPROC window_proc;
	DWORD wndflags;
};

__inline void WndError(char* msg)
{
	MessageBox(0,msg,"Window Creation Error",MB_OK);
}